
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.net.InetAddress;
import java.net.Socket;
import java.net.UnknownHostException;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author petr
 */
public class Test {

    public static void main(String[] args) throws FileNotFoundException, IOException {
        File file = new File("servery.txt");
        if (!file.exists()) {
            file = new File("src/servery.txt");
        }
        BufferedReader reader = new BufferedReader(new FileReader(file));

        showStav("IP Adresa","Hostname","Stav");
        showStav("----------------","------------------------------","------------------");
        String line;
            do {
                line = reader.readLine();
                if (null == line) {
                    return;
                }
                zpracujRadek(line);
            } while (true);
    }

    public static void zpracujRadek(String line) {
        try {
            InetAddress adress = InetAddress.getByName(line);
            showStav(adress.getHostAddress(),adress.getHostName(),zjistiStav(adress));
        }
         catch(UnknownHostException  e) {
            showStav("xxx.xxx.xxx.xxx",line,"Doménové jméno se nepodařilo převést na IP adesu.");
         }
    }

    public static void showStav(String ip, String host,String stav) {
        System.out.printf("%-16s %-30s %s%n",ip,host,stav);
    }

    private static String zjistiStav(InetAddress adress) {
        try {
         Socket client = new Socket(adress, 80);
         client.close();
        } catch(IOException e) {
            final String message = e.getMessage();
            if(message.equals("Connection refused")) {
                    return "Spojení bylo odmítnuto.";
            } else if(message.equals("Connection timed out")) {
                    return "Na daném portu nikdo neposlouchá.";
            }
            return message;
        }
        return new String("Na serveru běží www server.");
    }
}
